Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1045091 - [amqp1.0] x-amqp-absolute-expiry-time, x-amqp-creation-time missing in the received message properties map
Summary: [amqp1.0] x-amqp-absolute-expiry-time, x-amqp-creation-time missing in the re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: Development
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 3.0
: ---
Assignee: Gordon Sim
QA Contact: Petr Matousek
URL:
Whiteboard:
Depends On:
Blocks: 975444 1010399
TreeView+ depends on / blocked
 
Reported: 2013-12-19 15:12 UTC by Petr Matousek
Modified: 2015-01-21 12:56 UTC (History)
4 users (show)

Fixed In Version: qpid-cpp-0.22-30
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 12:56:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-5434 None None None Never
Red Hat Bugzilla 1126525 None None None Never

Internal Links: 1126525

Description Petr Matousek 2013-12-19 15:12:40 UTC
Description of problem:

The following "pseudo headers/properties" shall be supported via amqp1.0:

x-amqp-first-acquirer, x-amqp-delivery-count, x-amqp-group-id,
x-amqp-group-sequence, x-amqp-to, x-amqp-reply-to-group-id,
x-amqp-absolute-expiry-time, x-amqp-creation-time
 
The retrieved message do not list all the properties set by the producer.

Following properties are listed in the received message:
x-amqp-group-id, x-amqp-qroup-sequence, x-amqp-reply-to-group-id, x-amqp-to

While following properties are missing:
x-amqp-first-acquirer, x-amqp-absolute-expiry-time, x-amqp-creation-time

As discussed in the bug 975422, comment 2, creation-time and absolute-expiry-time should certainly be settable by sender and transmitted as set through to receiver.

It is discussable whether first-acquirer and delivery-count shall be settable/transmitted to the receiver.

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-29

How reproducible:
100%

Steps to Reproduce:
1. $cppapi/spout -P "x-amqp-first-acquirer=True" -P "x-amqp-delivery-count=10" -P "x-amqp-to=q" -P "x-amqp-group-id=theGroup" -P "x-amqp-group-sequence=10" -P "x-amqp-reply-to-group-id=theGroup" -P "x-amqp-absolute-expiry-time=1387289524" -P "x-amqp-creation-time=1387289524" "q;{create:sender}" --count 2 --connection-options "{protocol:'amqp1.0'}"
2. qpid-receive --connection-options {protocol:amqp1.0} --print-headers true --messages 1 --address q
3. x-amqp-absolute-expiry-time, x-amqp-creation-time, x-amqp-first-acquirer, 
 not shown in the properties map

Actual results:
Not all the message properties set on the producer side are shown on the receiver side.

Expected results:
All the message properties set on the producer side are shown on the receiver side.

Additional info:

Comment 1 Gordon Sim 2013-12-19 19:23:22 UTC
Fixed upstream: https://svn.apache.org/r1552400

Comment 2 Petr Matousek 2014-01-23 10:47:04 UTC
This This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

Both the missing amqp1.0 properties (creation-time, absolute-expiry-time) now settable by sender and transmitted to the receiver.

packages used for test:
qpid-cpp-*-0.22-33

-> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.